
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2038

Rejection letter for MZ

08/12/2016 05:29 AM - Oleksii Kurasov

Status: Closed Start date: 08/12/2016

Priority: Immediate Due date: 08/12/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Example is in Attachemnt

History

#1 - 08/12/2016 05:30 AM - Oleksii Kurasov

- Status changed from New to Resolved

#2 - 08/16/2016 11:29 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

Rejection Letter.docx 30.3 KB 08/12/2016 Oleksii Kurasov
